
QGIS Application - Bug report #17072

qgis-providers seems needing libspatialite.so.5 but this librarie isn't available in debian stretch 

repositories

2017-08-25 02:48 PM - Mathieu Denat

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:2.18.12 Regression?: Yes

Operating System: Debian 9 (stretch) Easy fix?: Yes

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 24971

Description

Hi,

The qgis-providers packages cann't be installed, due to a dependancy error.

The following error is encountered:

/usr/lib/qgis/crssync: error while loading shared libraries: libspatialite.so.5: cannot open shared object file: No such file or directory

However, the libspatialite.so.5 file isn't present in repositories (search by apt-file).

apt depends seems indicate that libspatialite isn't required, but an contradictory error is obtained at installation.

Regards,

Mathieu

aptitude install qgis python-qgis qgis-plugin-grass

[...]

Des erreurs ont été rencontrées pendant l'exécution :

qgis-providers   

 qgis

 qgis-plugin-globe

 qgis-plugin-grass

 E: Sub-process /usr/bin/dpkg returned an error code (1)

Paramétrage de qgis-providers (1:2.18.12+14stretch) ...

/usr/lib/qgis/crssync: error while loading shared libraries: libspatialite.so.5: cannot open shared object file: No such file or directory

dpkg: erreur de traitement du paquet qgis-providers (--configure) :

le sous-processus script post-installation installé a retourné une erreur de sortie d'état 127

dpkg: des problèmes de dépendances empêchent la configuration de qgis :

qgis dépend de qgis-providers (= 1:2.18.12+14stretch) ; cependant :

Le paquet qgis-providers n'est pas encore configuré.

dpkg: erreur de traitement du paquet qgis (--configure) :

problèmes de dépendances - laissé non configuré

dpkg: des problèmes de dépendances empêchent la configuration de qgis-plugin-globe :

qgis-plugin-globe dépend de qgis (= 1:2.18.12+14stretch) ; cependant :

Le paquet qgis n'est pas encore configuré.

dpkg: erreur de traitement du paquet qgis-plugin-globe (--configure) :

problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchent la configuration de qgis-plugin-grass :

qgis-plugin-grass dépend de qgis (= 1:2.18.12+14stretch) ; cependant :

Le paquet qgis n'est pas encore configuré.

dpkg: erreur de traitement du paquet qgis-plugin-grass (--configure) :

problèmes de dépendances - laissé non configuré

Des erreurs ont été rencontrées pendant l'exécution :

qgis-providers

qgis

qgis-plugin-globe

qgis-plugin-grass

-----------------------------------

apt depends qgis-providers

qgis-providers

Dépend: qgis-providers-common (= 1:2.18.12+14stretch)

Dépend: libqt4-sql-sqlite

Dépend: libqca2-plugin-ossl

Dépend: libc6 (>= 2.14)

Dépend: libexpat1 (>= 2.0.1)

Dépend: libgcc1 (>= 1:3.0)

Dépend: libgdal20 (>= 2.1.0)

Dépend: libgeos-c1v5 (>= 3.4.2)

Dépend: libpq5

Dépend: libproj12 (>= 4.8.0)

Dépend: libqca2 (>= 2.0.2)

Dépend: libqgis-core2.18.12

Dépend: libqgis-gui2.18.12

Dépend: libqjson0 (>= 0.7.1)

Dépend: libqscintilla2-12v5 (>= 2.8.4)

Dépend: libqt4-network (>= 4:4.5.3)

Dépend: libqt4-script (>= 4:4.5.3)

Dépend: libqt4-sql (>= 4:4.6.1)

Dépend: libqt4-svg (>= 4:4.5.3)

Dépend: libqt4-xml (>= 4:4.5.3)

Dépend: libqtcore4 (>= 4:4.8.0)

Dépend: libqtgui4 (>= 4:4.8.0)

Dépend: libqtwebkit4 (>= 2.1.0~2011week13)

Dépend: libqwt6abi1 (>= 6.1.2)

Dépend: libspatialindex4v5 (>= 1.8.1)

Dépend: libspatialite7 (>= 4.0.0)

Dépend: libsqlite3-0 (>= 3.5.9)

Dépend: libstdc++6 (>= 5.2)

Casse: qgis (<= 1.6)

Remplace: qgis (<= 1.6)

-- System Information:

Debian Release: 9.1

  APT prefers stable

  APT policy: (600, 'stable'), (500, 'testing'), (80, 'unstable'), (70, 'experimental')

Architecture: amd64 (x86_64)

Foreign Architectures: i386
Kernel: Linux 4.9.0-3-amd64 (SMP w/4 CPU cores)

Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8), LANGUAGE=fr_FR.UTF-8 (charmap=UTF-8)

Shell: /bin/sh linked to /bin/dash

Init: systemd (via /run/systemd/system)

Versions of packages qgis-providers depends on:

ii  libc6                  2.24-11+deb9u1

ii  libexpat1              2.2.0-2+deb9u1

ii  libgcc1                1:6.3.0-18

pn  libgdal20              <none>

pn  libgeos-c1v5           <none>

ii  libpq5                 9.6.4-0+deb9u1

ii  libproj12              4.9.3-1

ii  libqca2                2.1.1-4+b2

ii  libqca2-plugin-ossl    2.1.1-4+b2

ii  libqgis-core2.18.12    1:2.18.12+14stretch

ii  libqgis-gui2.18.12     1:2.18.12+14stretch

ii  libqjson0              0.8.1-3

ii  libqscintilla2-12v5    2.9.3+dfsg-4

ii  libqt4-network         4:4.8.7+dfsg-11

ii  libqt4-script          4:4.8.7+dfsg-11

ii  libqt4-sql             4:4.8.7+dfsg-11

ii  libqt4-sql-sqlite      4:4.8.7+dfsg-11

ii  libqt4-svg             4:4.8.7+dfsg-11

ii  libqt4-xml             4:4.8.7+dfsg-11

ii  libqtcore4             4:4.8.7+dfsg-11

ii  libqtgui4              4:4.8.7+dfsg-11

ii  libqtwebkit4           2.3.4.dfsg-9.1

ii  libqwt6abi1            6.1.2-6

ii  libspatialindex4v5     1.8.5-4

pn  libspatialite7         <none>

ii  libsqlite3-0           3.16.2-5

ii  libstdc++6             6.3.0-18

ii  qgis-providers-common  1:2.18.12+14stretch

qgis-providers recommends no packages.

qgis-providers suggests no packages.

-- no debconf information

History

#1 - 2017-08-25 03:38 PM - Jürgen Fischer

- Priority changed from High to Normal

- Status changed from Open to Feedback

Not reproducable here.  On a clean stretch machine:

# cat /etc/apt/sources.list
deb http://ftp2.de.debian.org/debian    stretch        main

deb http://security.debian.org        stretch/updates main

deb http://qgis.org/debian        stretch        main

# apt-key adv --keyserver keyserver.ubuntu.com --recv-key CAEB3DC3BDF7FB45

Executing: /tmp/apt-key-gpghome.3fN8bdAhAW/gpg.1.sh --keyserver keyserver.ubuntu.com --recv-key CAEB3DC3BDF7FB45

gpg: key CAEB3DC3BDF7FB45: public key "QGIS Archive Automatic Signing Key (2017) <qgis-developer@lists.osgeo.org>" imported

gpg: Total number processed: 1

gpg:               imported: 1

# apt-get update

Hit:1 http://security.debian.org stretch/updates InRelease

Ign:2 http://ftp2.de.debian.org/debian stretch InRelease

Hit:3 http://ftp2.de.debian.org/debian stretch Release                   

Get:5 http://qgis.org/debian stretch InRelease [3346 B]                  

Fetched 3346 B in 0s (6410 B/s)    

Reading package lists... Done

# apt-cache policy qgis-providers

qgis-providers:

  Installed: (none)

  Candidate: 1:2.18.12+14stretch

  Version table:

     1:2.18.12+14stretch 500

        500 http://qgis.org/debian stretch/main amd64 Packages

     2.14.11+dfsg-3+deb9u1 500

        500 http://ftp2.de.debian.org/debian stretch/main amd64 Packages

# apt-cache show qgis-providers

Package: qgis-providers

...

Depends: ..., libspatialite7 (>= 4.0.0), ...

Filename: pool/main/q/qgis/qgis-providers_2.18.12+14stretch_amd64.deb

Size: 2615578

...

# apt-get install qgis

...

Need to get 786 kB/204 MB of archives.

After this operation, 640 MB of additional disk space will be used.

Do you want to continue? [Y/n] y

...

Setting up qgis-providers (1:2.18.12+14stretch) ...

Synchronizing CRS database with GDAL/PROJ definitions.

Load srs db from: /usr/share/qgis/resources/srs.db

Loaded 497/498 from /usr/share/gdal/2.1/gcs.csv

EPSG 6966: not imported

EPSG 7082: not imported

Loaded 4631/4709 from /usr/share/gdal/2.1/pcs.csv

Loaded 182/183 from /usr/share/gdal/2.1/vertcs.csv

Loaded 153/154 from /usr/share/gdal/2.1/compdcs.csv

Loaded 148/149 from /usr/share/gdal/2.1/geoccs.csv

Loading epsg.wkt

Loading esri_extra.wkt

5611 WKTs loaded

CRS update (inserted:1112 updated:609 deleted:1 errors:0)

1721 CRSs updated.

Setting up python-qgis-common (1:2.18.12+14stretch) ...
...

# dpkg -S /usr/lib/qgis/crssync

qgis-providers: /usr/lib/qgis/crssync

# ldd /usr/lib/qgis/crssync | grep spatialite

    libspatialite.so.7 => /usr/lib/x86_64-linux-gnu/libspatialite.so.7 (0x00007f6163c2b000)

# apt-get install debsums

...

# debsums qgis-providers

/usr/lib/qgis/crssync                                                         OK

...

#2 - 2017-08-25 08:02 PM - Jürgen Fischer

- Description updated

#3 - 2017-08-25 08:13 PM - Jürgen Fischer

See also Debian BTS #873183

#4 - 2017-09-25 04:28 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback.
